WordPress.org

Plugin Directory

Purify WordPress Menus

Slim down the HTML code of WordPress menus to only the CSS classes and ID attributes your theme needs to improve page speed

3.0

  • Rebuild fundamentally
  • Added option 'Current taxonomy ancestor'
  • Added option 'Any menu item object'
  • Added option 'Any menu item type'
  • Added option 'Menu item has children'
  • Added option 'Page menu item has children'
  • Revised option 'Menu item id as class'
  • Revised option 'Page item id as class'
  • Removed option 'Custom menu item object'
  • Updated translations and *.pot file

2.3

  • Improved: Custom CSS classes keep untouched
  • Updated translations and *.pot file

2.2.2

Successfully tested with WordPress 4.1, especially with the revised filters 'nav_menu_css_class' and 'nav_menu_item_id'

2.2.1

Successfully tested with WordPress 4.0

2.2

  • Improved uninstall routine
  • Tested successfully with WordPress 3.9.2
  • Refactored for more compatibility

2.1.1

  • Tested successfully with WordPress 3.8.2
  • Some refactoring and fixed a typo
  • Updated translations and *.pot file

2.1

  • Some refactoring and tests passed

2.0.1

  • Fixed a coding error

2.0

  • Rebuilded fundamentally to improve the plugin's performance at frontend runtime and your page speed.
  • In spite of that no worry about your plugin's settings: They stay untouched and will continue to work
  • Better understandable grouping of the options on the options page
  • Slight grafic design changes
  • Updated translations and *.pot file

1.3

  • Added 'static' property to some functions to prevent warnings at strict error level
  • Removed deprecated use of screen_icon()
  • Corrected typo 'menues' to 'menus'
  • Checked compatibilty with WP 3.8

1.2

  • Fixed a typo
  • Added spanish translation. Thank you, Hector!

1.1

  • Improved performance: Hooks in to 'nav_menu_item_id' only when desired instead of every time
  • Some improved translation into german
  • Improved labeling on options page
  • Refined POT file

1.0

  • The plugin was released initially.

Requires: 3.0 or higher
Compatible up to: 4.1.5
Last Updated: 2015-2-3
Active Installs: 600+

Ratings

5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,1,1 100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1